cascading.flow.stream.element

## Class MemoryHashJoinGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.stream.element.MemorySpliceGate
          - - cascading.flow.stream.element.MemoryHashJoinGate

All Implemented Interfaces:
  Collapsing, Window, ElementDuct

Direct Known Subclasses:
  HadoopMemoryJoinGate

    public class MemoryHashJoinGate
    extends MemorySpliceGate

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

`GroupingSpliceGate.DelegatedTuple`

### Field Summary

Fields
`protected java.util.concurrent.CountDownLatch` `latch`

### Fields inherited from class cascading.flow.stream.element.MemorySpliceGate

`closure, count, keys, keyValues, numIncomingEventingPaths`

### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

`groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

### Fields inherited from class cascading.flow.stream.element.SpliceGate

`flowProcess, incomingScopes, outgoingScopes, role, splice`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`MemoryHashJoinGate(FlowProcess flowProcess, HashJoin join)`

### Method Summary

Methods
`void` `bind(StreamGraph streamGraph)`
`void` `complete(Duct previous)`
`protected void` `countDownLatch()`
`protected boolean` `isBlockingStreamed()`
`void` `prepare()`
`void` `receive(Duct previous, int ordinal, TupleEntry incomingEntry)`
`protected void` `waitOnLatch()`

### Methods inherited from class cascading.flow.stream.element.MemorySpliceGate

`createDefaultNarrowBuilder, createKeySet, createKeyValuesArray, createTupleMap, initialize`

### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

`cleanup, createNarrowBuilder, createNulledBuilder, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, initComparators`

### Methods inherited from class cascading.flow.stream.element.SpliceGate

`equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Duct

`getNext, getNextFor, receiveFirst, start`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### latch

    protected java.util.concurrent.CountDownLatch latch

### Constructor Detail

#### MemoryHashJoinGate

    public MemoryHashJoinGate(FlowProcess flowProcess,
                      HashJoin join)

### Method Detail

#### bind

    public void bind(StreamGraph streamGraph)

Overrides:
  `bind` in class `MemorySpliceGate`

#### prepare

    public void prepare()

Overrides:
  `prepare` in class `MemorySpliceGate`

#### receive

    public void receive(Duct previous,
               int ordinal,
               TupleEntry incomingEntry)

Specified by:
  `receive` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

#### complete

    public void complete(Duct previous)

Overrides:
  `complete` in class `Duct<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>`

#### waitOnLatch

    protected void waitOnLatch()

#### countDownLatch

    protected void countDownLatch()

#### isBlockingStreamed

    protected boolean isBlockingStreamed()

Specified by:
  `isBlockingStreamed` in class `MemorySpliceGate`